Data API request traffic, by source
curl --request GET \
--url https://api.kameleoon.com/data-api-requests/by-source \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/data-api-requests/by-source"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/data-api-requests/by-source', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"2026-07-20": {
"Engine": 128,
"SDK: IOS": 64,
"Direct": 3
}
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Data API Requests
Data API request traffic, by source
Returns the number of requests sent to the data API for the given site, broken down by day and source (Engine, SDK: <name>, or Direct). The date range cannot exceed 7 days.
GET
/
data-api-requests
/
by-source
Data API request traffic, by source
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The Kameleoon sitecode.
The start date of the range, in ISO 8601 date format (YYYY-MM-DD). The start date is inclusive, and the range between from and to cannot exceed 7 days.
The end date of the range, in ISO 8601 date format (YYYY-MM-DD). The end date is inclusive, and the range between from and to cannot exceed 7 days.
Response
OK
The response groups request counts by date (YYYY-MM-DD), then source.
Show child attributes
Show child attributes
Was this page helpful?
⌘I